> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Copy projects to a location

> Creates deep copies of one or more projects (and all their documents) into the target workspace or project.

The caller must have access to every source project and the destination.



## OpenAPI

````yaml post /project/paste
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /project/paste:
    post:
      tags:
        - Projects
      summary: Copy projects to a location
      description: >-
        Creates deep copies of one or more projects (and all their documents)
        into the target workspace or project.


        The caller must have access to every source project and the destination.
      operationId: createPastedProjects
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                copiedNodes:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                    required:
                      - id
                  minItems: 1
                parentId:
                  type: string
                workspaceId:
                  type: string
                projectId:
                  type: string
              required:
                - copiedNodes
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: boolean
                    enum:
                      - true
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````